@import url('https://fonts.googleapis.com/css?family=Yanone+Kaffeesatz');
@import url('https://fonts.googleapis.com/css?family=Poppins|Yanone+Kaffeesatz');

body {
    background-image: url(../img/back3.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    margin: 0;
    font-family: 'Poppins', sans-serif;
}

.contenedor{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 100%;
}

.user_txt {
    color: #fff;
    font-size: 50px;
    text-align: center;
    padding-top: 8%;
    padding-bottom: 8%;
}
/*Estilos del Header*/

header{
    width: 100%;
    color: #fff;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    align-content: center;
    justify-content: space-between;
    background-color: rgba(0, 0, 0,.3);
    padding-left: 1%;
    padding: 6;
    margin-bottom: 5%;
}
header h1{
    margin-left: 30px;
    font-family: montez;
    font-size: 30px;
}
header a{
    margin-right: 30px;
    text-align: center;
    text-decoration: none;
    color: #fff;
    font-size: 25px;
    transition: all ease 300ms;
}
header a:hover{
    color: rgb(180, 210, 212);
}

/*Estilos del grid*/
#rig {
    max-width:900px;
    margin:0 auto;
    padding:0;
    font-size:0;
    list-style:none;
    background-color: rgba(0, 0, 0,.1);
}
#rig li {
    display: inline-block;
    /*for IE6 - IE7*/
    *display:inline;
    width:25%;
    vertical-align:middle;
    box-sizing:border-box;
    margin:0;
    padding:30;
}

/* Estilo para el grid */
.rig-cell {
    display:block;
    position: relative;
    overflow:hidden;
}

.rig-img {
    display:block;
    width: 100%;
    height: auto;
    border:none;
    transform:scale(1);
    transition:all 1s;
    padding:30;
}

#rig li:hover .rig-img {
    transform:scale(1.05);
}

#rig2 {
    background: #32CD32;
}

#rig3 {
    background: #BA55D3;
}

#rig4 {
    background: dodgerblue;
}

#rig1 {
    background: orange;
}

.rig-overlay {
    position: absolute;
    display:block;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    margin: auto;
    background: #3DC0F1 url(img/link.png) no-repeat center 20%;
    background-size:50px 50px;
    opacity:0;
    /*For IE6 - IE8*/
    filter:alpha(opacity=0);
    transition:all 0.6s;
}
#rig li:hover .rig-overlay {
    opacity:0.8;
}

.rig-text {
    display:block;
    padding:0 30px;
    box-sizing:border-box;
    position:absolute;
    left:0;
    width:100%;
    text-align:center;
    text-transform:capitalize;
    font-size:25px;
    font-weight:bold;
    font-family: 50px;
    font-weight:50px;
    top:40%;
    color:white;
    opacity:0;
    /*For older IE*/
    filter:alpha(opacity=0);
    transform:translateY(-20px);
    transition:all .3s;
}
#rig li:hover .rig-text {
    transform:translateY(0px);
    opacity:0.9;
}

/*Estilos del footer */
.footer {
    background: #333;
    color: #fff;
    padding: 10px;
    text-align: center;
}

.footer .social[class^="icon-"] {
    display: inline-block;
    color: #333;
    text-decoration: none;
    font-size: 30px;
    padding: 10px;
    background: white;
    border-radius: 50%;
    height: 50px;
    width: 50px;
    line-height: 40px;
}

/*Página responsiva*/

@media (max-width: 9000px) {
    #rig li {
        width:25%;
    }
}

@media (max-width: 700px) {
    #rig li {
        width:50%;
    }
    header a{
        font-size: 20px;
    }
    .user_txt {
        display: none;
    }
    footer{
        margin-top: 40px;
    }
}

@media (max-width: 550px) {
    #rig li {
        width:50%;
    }
    .user_txt {
        display: none;
    }
    .footer h2 {
        font-size: 15px;
    }
}
